JAVAC = @JAVAC@
JAVACFLAGS = @JAVACFLAGS@
JAR = jar

CLASSES = ApplyXSLT.class ApplyXSLTUtil.class

all: ApplyXSLT.jar

install: 


clean:
	rm -rf *.class ApplyXSLT.jar

ApplyXSLT.jar: $(CLASSES)
	$(JAR) cvf ApplyXSLT.jar -C ../../..  org/nzdl/gsdl/ApplyXSLT.class \
	  -C ../../.. org/nzdl/gsdl/ApplyXSLTUtil.class \
	  -C ../../.. org/nzdl/gsdl/ApplyXSLT\$$ReadStreamGobbler.class


%.class : %.java
	$(JAVAC) $(JAVACFLAGS) -d ../../.. -classpath ../../.. $<


distclean: clean
